> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/3.9.11/vehicle-spy-tutorials/tutorial-configuring-and-using-coremini/part-3-loading-the-script-to-the-hardware.md).

# Part 3 - Loading the Script to the Hardware

### 1. CoreMini Console:

The CoreMini Console is found under 'Tools'. This is where scripts can be loaded or removed from the hardware.

![Figure 1: Location of the CoreMini Console.](https://2673726158-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FdYdvinhoJh0IN6rV8uo3%2Fuploads%2FeeFNUyCZdHrNs8uUpelo%2FCoreMiniConsoleMenu.gif?alt=media\&token=584d7aad-32e4-4f36-9d29-40d37d2a7e6c)

### 2. Using CoreMini Console:

The CoreMini Console has a lot of information regarding the setup that is to be transferred. (Figure2: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)) shows the output list. This list will notify you of any errors or warnings. If any problems exist in the script, a red dot will be next to that item to warn you that something is wrong. The "Send to USB Device" section marked by (Figure2: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif))lets you setup where to send the script. The Device section selects which of the connected hardware to send the script to. The Storage section lets you choose where to store the script. For Playback and Capture scripts, the"SD Card" must be used. The "Run CoreMini After Download"checkbox (Figure2: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif))tells the hardware if it should run the script after it is loaded. If this is unchecked, the script will not run until the unit is re-powered. The Send button (Figure2: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif)) will send the script to the hardware.

![Figure 2: The CoreMini Console.](https://2673726158-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FdYdvinhoJh0IN6rV8uo3%2Fuploads%2FabAW3BVkB2CncANXfjnv%2FCoreMiniConsole.gif?alt=media\&token=73ae802e-d97f-4baa-a08e-1c40060cb208)

### 3. Clearing Scripts from Memory:

Scripts can be removed from the hardware by using the Clear button (Figure2: ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif)). Once a script has been removed from the hardware, the script must be sent to the hardware again in order to run it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/3.9.11/vehicle-spy-tutorials/tutorial-configuring-and-using-coremini/part-3-loading-the-script-to-the-hardware.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
